#! /usr/bin/octave -q
%/%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%***
%**  Copyright (C) 1998-2001  Ljubomir Milanovic & Horst Wagner
%**  This file is part of the g2 library
%**
%**  This library is free software; you can redistribute it and/or
%**  modify it under the terms of the GNU Lesser General Public
%**  License as published by the Free Software Foundation; either
%**  version 2.1 of the License, or (at your option) any later version.
%**
%**  This library is distributed in the hope that it will be useful,
%**  but WITHOUT ANY WARRANTY; without even the implied warranty of
%**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%**  Lesser General Public License for more details.
%**
%**  You should have received a copy of the GNU Lesser General Public
%**  License along with this library; if not, write to the Free Software
%**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
%%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**%**/


disp('Animation Stuff');

function main()
     N=100
     W=100
     H=100

    g2()
    d=g2_open_X11(W,H);
    g2_set_auto_flush(d,0);



	x = rand(N);
        x=  mod(x,(W/4)+H/2);
	y = rand(N);
        y=  mod(y,(H/4)+W/2);
        c = rand(N);
        c = mod(c,16);
	

        for t=1:1000   
		g2_clear(d);
		for i=1:N
			g2_filled_circle(d,x(i),y(i),0);
			g2_pen(d,c(i));
			x(i) = x(i) + (mod(rand(),2)) * 2 - 1;
			y(i) = y(i) + (mod(rand(),2)) * 2 - 1;                       
	        end
		g2_flush(d);
        end

    fgets(stdin);    
    return;
end

main()
